cryptic warning when starten 0.11.0 from terminal

Ask for help with ScummVM problems

Moderator: ScummVM Team

Post Reply
User avatar
Urd
Posts: 55
Joined: Sun Feb 17, 2008 5:18 pm

cryptic warning when starten 0.11.0 from terminal

Post by Urd »

I started ScummVM from the terminal and got this warning:
2008-02-24 16:38:05.574 scummvm[276:10b] Warning once: This application, or a library it uses, is using NSQuickDrawView, which has been deprecated. Apps should cease use of QuickDraw and move to Quartz.
I have absolute no real idea what this could mean, can anyone Explain it to me?
Version: ScummVM 0.11.0 release
OS: MAC OS 10.5.2

User avatar
criezy
ScummVM Developer
Posts: 727
Joined: Sat Sep 23, 2006 10:41 am
Location: West Sussex, UK

Post by criezy »

There is nothing to worry about (at least not for you).

Apple with its developer tools is providing some objects (compiled code samples bundled into frameworks) to facilitate the developers work (so that they do not have to reinvent the wheel each time they develop a new application). But as the technologies evolve, sometimes some of these objects are deprecated and replaced by others. Usually the two technologies coexist for some time so that the developers have the time to migrate to the new technology.
NSQuickDrawView is such an object (it is a view that uses QuickDraw - an Apple technology - to draw things in the view). This warning tells the developers that they should stop using the NSQuickDrawView in their applications and use a Quartz (the new drawing system provided by Apple) equivalent instead. As ScummVM uses the SDL library for the backend on MacOS X, my guess is that the warning is coming from SDL and will probably be fixed by them in a future version of the SDL library.

In summary ScummVM will work as normal, and this warning is to tell the developers that QuickDraw will be removed from the system sometime in the future and that they should start to change their code that make use of it.

Post Reply